Package fr.gouv.vitam.common.model.unit

# Class PersonOrEntityAndBusinessType

java.lang.Object
fr.gouv.vitam.common.model.unit.PersonOrEntityAndBusinessType

Direct Known Subclasses:
  `AgentTypeModel`, `ValidatorOrSignerModel`

public class PersonOrEntityAndBusinessType extends Object
Model for PersonOrEntityAndBusiness defined in seda.xsd

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonOrEntityAndBusinessType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getActivity()`
  getter for activity
  `String`
  `getBirthDate()`
  `String`
  `getBirthName()`
  `LocationGroupModel`
  `getBirthPlace()`
  `String`
  `getCorpname()`
  `String`
  `getDeathDate()`
  `LocationGroupModel`
  `getDeathPlace()`
  `String`
  `getFirstName()`
  `String`
  `getFullName()`
  getter for fullName
  `List<String>`
  `getFunction()`
  getter for function
  `String`
  `getGender()`
  `String`
  `getGivenName()`
  `List<String>`
  `getIdentifiers()`
  `List<String>`
  `getMandate()`
  getter for mandate
  `List<String>`
  `getNationalities()`
  `List<String>`
  `getPosition()`
  getter for position
  `List<String>`
  `getRole()`
  getter for role
  `void`
  `setActivity(List<String> activity)`
  set activity
  `void`
  `setBirthDate(String birthDate)`
  `void`
  `setBirthName(String birthName)`
  `void`
  `setBirthPlace(LocationGroupModel birthPlace)`
  `void`
  `setCorpname(String corpname)`
  `void`
  `setDeathDate(String deathDate)`
  `void`
  `setDeathPlace(LocationGroupModel deathPlace)`
  `void`
  `setFirstName(String firstName)`
  `void`
  `setFullName(String fullName)`
  set fullName
  `void`
  `setFunction(List<String> function)`
  set function
  `void`
  `setGender(String gender)`
  `void`
  `setGivenName(String givenName)`
  `void`
  `setIdentifiers(List<String> identifiers)`
  `void`
  `setMandate(List<String> mandate)`
  set mandate
  `void`
  `setNationalities(List<String> nationalities)`
  `void`
  `setPosition(List<String> position)`
  set position
  `void`
  `setRole(List<String> role)`
  set role

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonOrEntityAndBusinessType

    public PersonOrEntityAndBusinessType()

- ## Method Details

  - ### getBirthPlace

    public LocationGroupModel getBirthPlace()

  - ### setBirthPlace

    public void setBirthPlace(LocationGroupModel birthPlace)

  - ### getBirthDate

    public String getBirthDate()

  - ### setBirthDate

    public void setBirthDate(String birthDate)

  - ### getDeathPlace

    public LocationGroupModel getDeathPlace()

  - ### setDeathPlace

    public void setDeathPlace(LocationGroupModel deathPlace)

  - ### getGivenName

    public String getGivenName()

  - ### setGivenName

    public void setGivenName(String givenName)

  - ### getBirthName

    public String getBirthName()

  - ### setBirthName

    public void setBirthName(String birthName)

  - ### getFirstName

    public String getFirstName()

  - ### setFirstName

    public void setFirstName(String firstName)

  - ### getGender

    public String getGender()

  - ### setGender

    public void setGender(String gender)

  - ### getFullName

    public String getFullName()
    getter for fullName
    Returns:
      fullName value

  - ### setFullName

    public void setFullName(String fullName)
    set fullName

  - ### getCorpname

    public String getCorpname()

  - ### setCorpname

    public void setCorpname(String corpname)

  - ### getNationalities

    public List<String> getNationalities()

  - ### setNationalities

    public void setNationalities(List<String> nationalities)

  - ### getDeathDate

    public String getDeathDate()

  - ### setDeathDate

    public void setDeathDate(String deathDate)

  - ### getIdentifiers

    public List<String> getIdentifiers()

  - ### setIdentifiers

    public void setIdentifiers(List<String> identifiers)

  - ### getFunction

    public List<String> getFunction()
    getter for function
    Returns:
      function value

  - ### setFunction

    public void setFunction(List<String> function)
    set function

  - ### getActivity

    public List<String> getActivity()
    getter for activity
    Returns:
      activity value

  - ### setActivity

    public void setActivity(List<String> activity)
    set activity

  - ### getPosition

    public List<String> getPosition()
    getter for position
    Returns:
      position value

  - ### setPosition

    public void setPosition(List<String> position)
    set position

  - ### getRole

    public List<String> getRole()
    getter for role
    Returns:
      role value

  - ### setRole

    public void setRole(List<String> role)
    set role

  - ### getMandate

    public List<String> getMandate()
    getter for mandate
    Returns:
      mandate value

  - ### setMandate

    public void setMandate(List<String> mandate)
    set mandate